Table of Contents

## Name

XmbDrawString, XwcDrawString - draw text using a single font set

## Syntax

void XmbDrawString(display, d, font_set, gc, x, y, string, num_bytes)
Display *display;
Drawable d;
XFontSet font_set;
GC gc;
int x, y;
char *string;
int num_bytes;

void XwcDrawString(display, d, font_set, gc, x, y, string, num_wchars)
Display *display;
Drawable d;
XFontSet font_set;
GC gc;
int x, y;
wchar_t *string;
int num_wchars;

## Arguments

d
  Specifies the drawable.
display
  Specifies the connection to the X server.
font_set
  Specifies the font set.
gc
  Specifies the GC.
num_bytes
  Specifies the number of bytes in the string argument.
num_wchars
  Specifies the number of characters in the string argument.
string
  Specifies the character string.
x
y
  Specify the x and y coordinatesXy.

## Description

The XmbDrawString and XwcDrawString functions draw the specified text with the foreground pixel. When the XFontSet has missing charsets, each unavailable character is drawn with the default string returned by XCreateFontSet. The behavior for an invalid codepoint is undefined.

## See Also

XXDrawImageString(3X11) , XDrawString(3X11) , XDrawText(3X11) , XmbDrawImageString(3X11) , XmbDrawText(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also